@echo off
setlocal ENABLEDELAYEDEXPANSION

if %PROCESSOR_ARCHITECTURE%==x86 (
  set xdelta_bin=xdelta3-32.exe
) else (
  set xdelta_bin=xdelta3-64.exe
)

set DIFF=ama11-v2-framefix-patch.vcdiff
set V1=[UTW]_Amagami_SS_Plus_-_11_[h264-720p][53CAFE21].mkv
set V2=[UTW]_Amagami_SS_Plus_-_11v2_[h264-720p][8CB212D1].mkv

@echo Patching to v2...
%xdelta_bin% -d "%DIFF%"
if %ERRORLEVEL% EQU 0 (
  if EXIST "%V2%" (
    @echo Returned 0. Patching successful. %V1% can be deleted if %V2% plays correctly.
  ) else (
    @echo Returned 0. Patching failed. Unknown error.
  )
) else (
  @echo Returned %ERRORLEVEL%. Patching failed or file exists.
)

:exit
endlocal